# Created by pyp2rpm-3.3.2
%global pypi_name kaitaistruct

Name:           python-%{pypi_name}
Version:        0.8
Release:        1%{?dist}
Summary:        Kaitai Struct declarative parser generator for binary data: runtime library for Python

License:        MIT
URL:            http://kaitai.io
Source0:        https://files.pythonhosted.org/packages/source/k/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Kaitai Struct: runtime library for Python This library implements Kaitai Struct
API for Python.Kaitai Struct <>_ is a declarative language used for describe
various binary data structures, laid out in files or in memory: i.e. binary
file formats, network stream packet formats, etc.It is similar to Python's
Construct 2.9 < but it is language-agnostic. The format description is done
in...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Kaitai Struct: runtime library for Python This library implements Kaitai Struct
API for Python.Kaitai Struct <>_ is a declarative language used for describe
various binary data structures, laid out in files or in memory: i.e. binary
file formats, network stream packet formats, etc.It is similar to Python's
Construct 2.9 < but it is language-agnostic. The format description is done
in...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Kaitai Struct: runtime library for Python This library implements Kaitai Struct
API for Python.Kaitai Struct <>_ is a declarative language used for describe
various binary data structures, laid out in files or in memory: i.e. binary
file formats, network stream packet formats, etc.It is similar to Python's
Construct 2.9 < but it is language-agnostic. The format description is done
in...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Jul 16 2018 Felix Kaechele <heffer@fedoraproject.org> - 0.8-1
- Initial package.
